Subject: Here are 3 socket problems I've found in GNUWIN32
From: [email-masked] ("Sonic Junior")

30 Aug 1997 08:33:18 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "GNU Win 32" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1162
Original-Sender: [email-masked]

	I have the following problems with socket functions:

	(1) SO_USELOOPBACK (error message: SO_USELOOPBACK - not supported)

	opt = 1;
	if (setsockopt(fd, SOL_SOCKET, SO_USELOOPBACK, (char *)&opt, sizeof(opt))
< 0)
        		report_error("setsockopt(SO_USELOOPBACK) %s:%s", cptr);

	(2) SNDBUF and RCVBUF (not even defined)

	if (setsockopt(fd, SOL_SOCKET, SO_SNDBUF, (char *)&opt, sizeof(opt)) < 0)
        report_error("setsockopt(SO_SNDBUF) %s:%s", cptr);

	(3) select() doesn't allow for enough fds

	select only allows for around 60 or so FDs, while some Unix apps use 4095!

	(4) /proc/net/tcp isn't output. This is used by Identd. If anyone wants to
add this, I'll send them all the info. It shouldn't be too hard. This isn't
a problem, but it is something I think should be added.

	- SJ
	
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".